Update user by ID

Provided fields * `username` (String optional) - has to be user's email * `name` (String optional) * `status` (Object optional) * `organisation` (Object optional) - must be the current organisation or not to be provided #### Notes * Password is not provided. Separate calls provide password management. * The organisation is not modifiable. A user can be updated, if belonging to the same organisation as the requesting user, or to an organisation which is a direct child of the requesting user's organisation. * Status can be changed between ACTIVE (id: 1) and SUSPENDED (id: 2), and from ACTIVATION_PENDING (id: 0) to SUSPENDED. <Info> Modifying the username invalidates account and triggers the activation procedure. </Info>

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

user_idstringRequired

Request

This endpoint expects an object.
usernamestringRequired
namestringRequired
statusobjectRequired

Errors

422
Unprocessable Entity Error